#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
#export V=1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ddir = "../../../../debian/libbpf-moa"

%:
	dh $@ --sourcedirectory=kernel/tools/lib/bpf

override_dh_auto_install:
	cd kernel/tools/lib/bpf &&\
		$(MAKE) DESTDIR=$(ddir) prefix=/usr install install_headers &&\
	  mv $(ddir)/usr/lib64 $(ddir)/usr/lib &&\
	  mkdir $(ddir)/usr/lib/x86_64-linux-gnu &&\
	  mv $(ddir)/usr/lib/libbpf* $(ddir)/usr/lib/x86_64-linux-gnu/

